#!/bin/bash

version=1

if [ -e "scripts/release_gw-app.desc" ]; then
    version=$(awk -F= '$1 == "version" { print $2 + 1 }' scripts/release_gw-app.desc)
    mv "scripts/release_gw-app.desc" "scripts/release_gw-app.desc.old"
fi
cat > "scripts/release_gw-app.desc" <<EODESC
component=gw-app-project
version=${version:-1}

swdesc_files --dest /var/app/rollback/volumes/gw_container/config ../app/config/sensing_mgr.conf
swdesc_files --dest /var/app/rollback/volumes/gw_container/config ../app/config/cloud_agent.conf
swdesc_command "rm -rf /var/app/rollback/volumes/gw_container/src/customize"
swdesc_files --dest /var/app/rollback/volumes/gw_container/src/customize ../app/src/.
EODESC

